Package com.xebialabs.xlrelease.variable

## Interface VariableReplacementHelper

- All Known Implementing Classes:
    `VariableHelper$`

      public interface VariableReplacementHelper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `freezeUnresolvedVariable​(java.lang.String input, java.lang.String variableName)` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getPasswordVariableValuesAsStrings​(java.util.List<Variable> vars)` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getVariableValuesAsStrings​(java.util.List<Variable> vars)` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getVariableValuesAsStrings​(scala.collection.immutable.List<Variable> variables, boolean passwords)` |
    `java.lang.String` | `replaceAll​(java.lang.String raw, java.util.Map<java.lang.String,​java.lang.String> replacements)` |
    `<T> T` | `replaceAll​(T raw, java.util.Map<java.lang.String,​java.lang.String> replacements, java.util.Set<java.lang.String> unresolvedVariables, boolean freezeEvenIfUnresolved)` |
    `java.lang.String` | `replaceAllWithInterpolation​(java.lang.String raw, java.util.Map<java.lang.String,​ValueWithInterpolation> replacements, java.util.Set<java.lang.String> unresolvedVariables, boolean freezeEvenIfUnresolved)` |
    `<T> T` | `replaceAllWithInterpolation​(T raw, java.util.Map<java.lang.String,​ValueWithInterpolation> replacements, java.util.Set<java.lang.String> unresolvedVariables, boolean freezeEvenIfUnresolved)` |
    `scala.collection.immutable.Map<java.lang.String,​java.lang.String>` | `resolveInterpolatableVariables​(scala.collection.immutable.List<Variable> variables, boolean passwords)` |

- - ### Method Detail

    - #### freezeUnresolvedVariable

          java.lang.String freezeUnresolvedVariable​(java.lang.String input,
                                                    java.lang.String variableName)

    - #### getPasswordVariableValuesAsStrings

          java.util.Map<java.lang.String,​java.lang.String> getPasswordVariableValuesAsStrings​(java.util.List<Variable> vars)

    - #### getVariableValuesAsStrings

          java.util.Map<java.lang.String,​java.lang.String> getVariableValuesAsStrings​(java.util.List<Variable> vars)

    - #### getVariableValuesAsStrings

          java.util.Map<java.lang.String,​java.lang.String> getVariableValuesAsStrings​(scala.collection.immutable.List<Variable> variables,
                                                                                            boolean passwords)

    - #### replaceAll

          java.lang.String replaceAll​(java.lang.String raw,
                                      java.util.Map<java.lang.String,​java.lang.String> replacements)

    - #### replaceAll

          <T> T replaceAll​(T raw,
                           java.util.Map<java.lang.String,​java.lang.String> replacements,
                           java.util.Set<java.lang.String> unresolvedVariables,
                           boolean freezeEvenIfUnresolved)

    - #### replaceAllWithInterpolation

          java.lang.String replaceAllWithInterpolation​(java.lang.String raw,
                                                       java.util.Map<java.lang.String,​ValueWithInterpolation> replacements,
                                                       java.util.Set<java.lang.String> unresolvedVariables,
                                                       boolean freezeEvenIfUnresolved)

    - #### replaceAllWithInterpolation

          <T> T replaceAllWithInterpolation​(T raw,
                                            java.util.Map<java.lang.String,​ValueWithInterpolation> replacements,
                                            java.util.Set<java.lang.String> unresolvedVariables,
                                            boolean freezeEvenIfUnresolved)

    - #### resolveInterpolatableVariables

          scala.collection.immutable.Map<java.lang.String,​java.lang.String> resolveInterpolatableVariables​(scala.collection.immutable.List<Variable> variables,
                                                                                                                 boolean passwords)